Summary: Capture sosreports from multiple nodes simultaneously
Name: sos-collector
Version: 1.6
Release: 4%{?dist}
Source0: http://people.redhat.com/jhunsake/sos-collector/%{name}-%{version}.tar.gz
License: GPLv2
BuildArch: noarch
Url: https://github.com/sosreport/sos-collector
Requires: sos >= 3.0
Obsoletes: clustersos < 1.2.2-2
Provides: clustersos = %{version}-%{release}

Patch0: sos-collector-local-pexpect.patch
Patch1: sos-collector-non-root-quote.patch
Patch2: sos-collector-sat-support.patch

%if 0%{?rhel} == 7
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: python2-futures
Requires: python-six
Requires: pexpect
%else
BuildRequires: python3-devel
BuildRequires: python3-six
BuildRequires: python3-pexpect
Requires: python3-six
Requires: python3-pexpect
%endif


%description
sos-collector is a utility designed to capture sosreports from multiple nodes
at once and collect them into a single archive. If the nodes are part of
a cluster, profiles can be used to configure how the sosreport command
is run on the nodes.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%if 0%{?rhel} == 7
%py2_build
%else
%py3_build
%endif

%install
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -p -m644 man/en/sos-collector.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
%if 0%{?rhel} == 7
%py2_install
%else
%py3_install
%endif



%check
%if 0%{?rhel} == 7
%{__python2} setup.py test
%else
%{__python3} setup.py test
%endif

%files
%{_bindir}/sos-collector
%if 0%{?rhel} == 7
%{python2_sitelib}/*
%else
%{python3_sitelib}/*
%endif
%{_mandir}/man1/*

%license LICENSE

%changelog
* Tue Jan 08 2019 Jake Hunsaker <jhunsake@redhat.com> - 1.6-4
- Adds support for Satellite deployments
- Fixes quoting for non-root local commands

* Thu Dec 20 2018 Jake Hunsaker <jhunsake@redhat.com> - 1.6-3
- Initial RHEL 8 release based on upstream 1.6
- Drops paramiko dependency in favor of OpenSSH ControlPersist
